;(function($) {

  var doc = document;
  var html = document.documentElement;
  var body = doc.body;

  var space = {
    setDataAttr: function() {
      var cardName = doc.querySelectorAll('.card-name');
      var i = -1;
      var len = -1;

      if (cardName) {
        for (i = 0; i < cardName.length; i++) {
          if (cardName[i].textContent.trim() !== '') {
            cardName[i].className += ' has-data-text';
            cardName[i].setAttribute('data-text', cardName[i].textContent);
          }
        }
      }
    },

    init: function() {
      var container = doc.querySelector('.card-container');

      if (container) {
        this.setDataAttr();
      }
    }
  };

  $(document).ready(function() {
    space.init();
  });

}(jQuery));