class FloorUnit
	include Mongoid::Document
	include Mongoid::Timestamps
	include Slug

	field :title, as: :slug_title
	field :layout
	

	belongs_to :floor
	has_many :floor_sub_units

	mount_uploader :layout_image, ImageUploader

end